This error gets raised on compile.

FAILURE: Build failed with an exception.

* Where:
Build file 'C:\src\flutter\.pub-cache\hosted\pub.dartlang.org\cloud_firestore-0.14.0+1\android\build.gradle' line: 54

* What went wrong:
A problem occurred evaluating project ':cloud_firestore'.
> Could not find method platform() for arguments [com.google.firebase:firebase-bom:25.3.1] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

What is wrong with my build.gradle?


Solution 1: Marc Ma

The solution was to update gradle as @Ronak said, but to 3.3.1 and not 5.0.